OUTPUT(1)

NAME
output - Yagi-Uda project antenna display program

SYNOPSIS
output [ - cehps ] [ -EE_max ] [ -HHmax ] [ -rminimum ] [ -Rmaximum ] [ -ZZo ]

filename

DESCRIPTION
The program output is one of a number of executable programs that forms part of a set of programs, collectively known as the Yagi-Uda project , which were designed for analysis and optimisation of Yagi-Uda antennas. output calculates the gain, FB ratio, input impedance etc etc of an antenna that was described by the program input or first and has had the element currents calculated with the program yagi The data about the forward gain, VSWR, FB ratio, input impedance etc is written to a file filename.dat Angular data, giving the variation of gain with theta and phi is put into a file filename.gai
Sometimes the program fails to find the 3dB bandwidths in the E and H planes, and bombs out with a 'zbrent' error. This can occur if:
(1) The antenna has an almost isotropic pattern, in which case its never 3dB down, so the 3dB point is undefined.
(2) The 3dB point is outside the assumed angular range. You then have to either:
(a) Calculate with the -e option, which avoids calculation of the 3dB E-plane beamwidth or
(b) Do (a) above, then find approximately where the 3dB point is (from the .gai file - see later), then set options -E and -H so the program calculates them properly.

The DOS .EXE files as distributed require a 387 maths coprocessor to be present and will not run without it. A 486, Pentium, and I assume later processors of this series will run it without any extra hardware. The DOS files are no longer being maintained, so are out of sync with the latest source.

OPTIONS

-c  Calculate the maximum level of any sidelobe - not just the rear on as the FB ratio tells us. If the sidelobe and FB ratio are equal, it means the biggest sidelobe is the rear one. If the Sidelobe is less than the FB ratio, then another lobe is more significant. Look in the '.gai' file (see below) to see where it is. This option slows the program quite a bit.

-e  Suppress calculation of the 3dB E-plane bandwidth. This is sometimes necessary if the programme is unable to find the 3 dB beamwidth, to prevent an error occuring.

-h  Suppress calculation of the 3dB H-plane bandwidth. This is sometimes necessary if the programme is unable to find the 3 dB beamwidth, to prevent an error occuring.

-p  Put data into a file filename.freq for reading into gnuplot, and a commmand file filename.gc for gnuplot to use. (run 'output -p filename' then 'gnuplot filename.gc' )

-s  Suppress all diagnostic output. By default, the program print the percentage of the job completed.

-EE_max
    When the program computes the E-plane 3dB beamwidth, it assumes the antenna pattern is 3dB down somewhere in the range 90 to Emax, where E_max is by default 179 degrees. This can fail if it is never 3dB down in the range, or if it happened to go 3dB down in two or more points. You can change E_max, if you need to, but rarely if every should need to. I've never seen a failure here, but are guarding against one. If you don't want the pattern, use the -e option instead, which skips it. See also '-H' below.

-HH_max
    When the program computes the H-plane 3dB beamwidth, it assumes the antenna pattern is 3dB down somewhere in the range 0 to Hmax, where H_max is by defualt 60 degrees. This can fail if it is never 3dB down in the range, or if it happended to go 3dB down in two or more points. Also, if it goes more than 3dB down, but that starts to come up again. You can change H_max, if you need to, as failures do occasionally occur. If you don't want the pattern use -h option instead, which will skip it.
    An obvious example of an antenna where you cant find the 3dB bandwidth for the H-plane is the 1ele dipole. The radiation is symmetrical about its axis, so the level is the same everywhere in the H plane. The program automatically avoids calculating it for a 1 ele beam.

-ZZo
    Zo is the characteristic impedance used when calculating the VSWR. By default it's 50 Ohms, but can be changed to any real, positive value.

filename
    is the name of the file containing the antenna description. It is expected to be in a format created by input or first - two other programs in the Yagi-Uda project. The is also expected to exist a binary file filename.out created by typing yagi filename

Limitations
I'm not aware of any limitations, apart from that filenames, including full path, can't exceed 90 characters.

FILES
filename        ASCII file with antenna description.
filename.out    Binary data file, created by yagi.
filename.dat    ASCII file with gain, FB ratio etc.
filename.gai    ASCII file with angular dependence of gain.

SEE ALSO
first(1), input(1), yagi(1), optimise(1).

PLATFORMS
Both DOS and Unix versions have been built. The DOS version as distributed requires a 386 PC with a 387 maths coprocessor.

BUGS
Bugs should be reported to david.kirkby@onetel.net. Bugs tend actually to be fixed if they can be isolated, so it is in your interest to report them in such a way that they can be easily reproduced. The program gives errors if element lengths are well away from a half-wave (by a factor of ~3) due to a breakdown in the equations. If the input file is edited manually and done incorrectly, there can be unpredictable results.

AUTHORS

Dr. David Kirkby G8WRB (david.kirkby@onetel.net). with help with converting to DOS from Dr. Joe Mack NA3T (mack@fcrfv2.ncifcrf.gov)